Bug 185885 - [UPDATE] devel/directfb to v1.4.17
Summary: [UPDATE] devel/directfb to v1.4.17
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-19 17:40 UTC by hardy.schumacher
Modified: 2016-06-17 15:21 UTC (History)
3 users (show)

See Also:


Attachments
file.diff (13.30 KB, patch)
2014-01-19 17:40 UTC, hardy.schumacher
no flags Details | Diff
Proposed patch (since 416324 revision) (28.14 KB, patch)
2016-06-08 13:40 UTC, lightside
lightside: maintainer-approval? (anatoly.borodin)
Details | Diff
The poudriere testport log (FreeBSD 10.2 amd64, with default options) (42.53 KB, application/x-bzip2)
2016-06-08 13:41 UTC, lightside
no flags Details
The poudriere testport log (FreeBSD 10.2 amd64, with TEST=on, UNIQUE=on) (46.54 KB, application/x-bzip2)
2016-06-08 13:42 UTC, lightside
no flags Details
The poudriere testport log (FreeBSD 9.3 amd64) (22.22 KB, application/x-bzip2)
2016-06-08 22:16 UTC, lightside
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description hardy.schumacher 2014-01-19 17:40:00 UTC
Update for port devel/directfb to patchlevel 17 is available. It contains bugfixes. 
Some patches on the port ca be removed. Furthermore I added stage support and fixed some issues reported by portlint.

Fix: Patch attached with submission follows:
How-To-Repeat: n/a
Comment 1 Edwin Groothuis freebsd_committer 2014-01-19 17:40:08 UTC
Maintainer of devel/directfb,

Please note that PR ports/185885 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/185885

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2014-01-19 17:40:09 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Pawel Pekala freebsd_committer 2014-02-06 20:43:18 UTC
make check-orphans shows many files missing from pkg-plist:

[corn:~/ports/devel/directfb]> make check-orphans
=3D=3D=3D=3D> Items missing from pkg-plist (check-orphans)
bin/mkdgiff
include/directfb-internal/core/CoreDFB.h
include/directfb-internal/core/CoreDFB_CallMode.h
include/directfb-internal/core/CoreDFB_includes.h
include/directfb-internal/core/CoreGraphicsState.h
include/directfb-internal/core/CoreGraphicsStateClient.h
include/directfb-internal/core/CoreGraphicsState_includes.h
include/directfb-internal/core/CoreInputDevice.h
include/directfb-internal/core/CoreInputDevice_includes.h
include/directfb-internal/core/CoreLayer.h
include/directfb-internal/core/CoreLayerContext.h
include/directfb-internal/core/CoreLayerContext_includes.h
include/directfb-internal/core/CoreLayerRegion.h
include/directfb-internal/core/CoreLayerRegion_includes.h
include/directfb-internal/core/CoreLayer_includes.h
include/directfb-internal/core/CorePalette.h
include/directfb-internal/core/CorePalette_includes.h
include/directfb-internal/core/CoreScreen.h
include/directfb-internal/core/CoreScreen_includes.h
include/directfb-internal/core/CoreSlave.h
include/directfb-internal/core/CoreSlave_includes.h
include/directfb-internal/core/CoreSurface.h
include/directfb-internal/core/CoreSurface_includes.h
include/directfb-internal/core/CoreWindow.h
include/directfb-internal/core/CoreWindowStack.h
include/directfb-internal/core/CoreWindowStack_includes.h
include/directfb-internal/core/CoreWindow_includes.h
include/directfb-internal/core/Interface.h
include/directfb-internal/core/graphics_state.h
include/directfb-internal/core/surface_allocation.h
include/directfb-internal/core/surface_core.h
include/directfb-internal/media/idirectfbdatabuffer_client.h
include/directfb-internal/media/idirectfbimageprovider_client.h
include/directfb/direct/mutex.h
lib/directfb-%%DIRECTFB_RELEASE%%-6/gfxdrivers/libdirectfb_sdlgraphics.a
lib/directfb-%%DIRECTFB_RELEASE%%-6/gfxdrivers/libdirectfb_sdlgraphics.la
lib/directfb-%%DIRECTFB_RELEASE%%-6/gfxdrivers/libdirectfb_sdlgraphics.so
lib/directfb-%%DIRECTFB_RELEASE%%-6/inputdrivers/libdirectfb_sdlinput.a
lib/directfb-%%DIRECTFB_RELEASE%%-6/inputdrivers/libdirectfb_sdlinput.la
lib/directfb-%%DIRECTFB_RELEASE%%-6/inputdrivers/libdirectfb_sdlinput.so
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/ICoreResourceManager/libicor=
eresourcemanager_test.a
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/ICoreResourceManager/libicor=
eresourcemanager_test.la
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/ICoreResourceManager/libicor=
eresourcemanager_test.so
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFB/libidirectfb_dispa=
tcher.a
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFB/libidirectfb_dispa=
tcher.la
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFB/libidirectfb_dispa=
tcher.so
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFB/libidirectfb_reque=
stor.a
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFB/libidirectfb_reque=
stor.la
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFB/libidirectfb_reque=
stor.so
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFBDataBuffer/libidire=
ctfbdatabuffer_dispatcher.a
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFBDataBuffer/libidire=
ctfbdatabuffer_dispatcher.la
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFBDataBuffer/libidire=
ctfbdatabuffer_dispatcher.so
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFBDataBuffer/libidire=
ctfbdatabuffer_requestor.a
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFBDataBuffer/libidire=
ctfbdatabuffer_requestor.la
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFBDataBuffer/libidire=
ctfbdatabuffer_requestor.so
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFBDisplayLayer/libidi=
rectfbdisplaylayer_dispatcher.a
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFBDisplayLayer/libidi=
rectfbdisplaylayer_dispatcher.la
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFBDisplayLayer/libidi=
rectfbdisplaylayer_dispatcher.so
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFBDisplayLayer/libidi=
rectfbdisplaylayer_requestor.a
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFBDisplayLayer/libidi=
rectfbdisplaylayer_requestor.la
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFBDisplayLayer/libidi=
rectfbdisplaylayer_requestor.so
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFBEventBuffer/libidir=
ectfbeventbuffer_dispatcher.a
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFBEventBuffer/libidir=
ectfbeventbuffer_dispatcher.la
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFBEventBuffer/libidir=
ectfbeventbuffer_dispatcher.so
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFBEventBuffer/libidir=
ectfbeventbuffer_requestor.a
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFBEventBuffer/libidir=
ectfbeventbuffer_requestor.la
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFBEventBuffer/libidir=
ectfbeventbuffer_requestor.so
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFBFont/libidirectfbfo=
nt_dgiff.a
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFBFont/libidirectfbfo=
nt_dgiff.la
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFBFont/libidirectfbfo=
nt_dgiff.so
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFBFont/libidirectfbfo=
nt_dispatcher.a
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFBFont/libidirectfbfo=
nt_dispatcher.la
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFBFont/libidirectfbfo=
nt_dispatcher.so
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFBFont/libidirectfbfo=
nt_ft2.a
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFBFont/libidirectfbfo=
nt_ft2.la
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFBFont/libidirectfbfo=
nt_ft2.so
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFBFont/libidirectfbfo=
nt_requestor.a
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFBFont/libidirectfbfo=
nt_requestor.la
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFBFont/libidirectfbfo=
nt_requestor.so
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFBImageProvider/libid=
irectfbimageprovider_dfiff.a
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFBImageProvider/libid=
irectfbimageprovider_dfiff.la
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFBImageProvider/libid=
irectfbimageprovider_dfiff.so
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFBImageProvider/libid=
irectfbimageprovider_dispatcher.a
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFBImageProvider/libid=
irectfbimageprovider_dispatcher.la
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFBImageProvider/libid=
irectfbimageprovider_dispatcher.so
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFBImageProvider/libid=
irectfbimageprovider_gif.a
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFBImageProvider/libid=
irectfbimageprovider_gif.la
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFBImageProvider/libid=
irectfbimageprovider_gif.so
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFBImageProvider/libid=
irectfbimageprovider_jpeg.a
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFBImageProvider/libid=
irectfbimageprovider_jpeg.la
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFBImageProvider/libid=
irectfbimageprovider_jpeg.so
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFBImageProvider/libid=
irectfbimageprovider_png.a
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFBImageProvider/libid=
irectfbimageprovider_png.la
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFBImageProvider/libid=
irectfbimageprovider_png.so
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFBImageProvider/libid=
irectfbimageprovider_requestor.a
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFBImageProvider/libid=
irectfbimageprovider_requestor.la
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFBImageProvider/libid=
irectfbimageprovider_requestor.so
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFBInputDevice/libidir=
ectfbinputdevice_dispatcher.a
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFBInputDevice/libidir=
ectfbinputdevice_dispatcher.la
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFBInputDevice/libidir=
ectfbinputdevice_dispatcher.so
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFBInputDevice/libidir=
ectfbinputdevice_requestor.a
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFBInputDevice/libidir=
ectfbinputdevice_requestor.la
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFBInputDevice/libidir=
ectfbinputdevice_requestor.so
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFBPalette/libidirectf=
bpalette_dispatcher.a
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFBPalette/libidirectf=
bpalette_dispatcher.la
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFBPalette/libidirectf=
bpalette_dispatcher.so
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFBPalette/libidirectf=
bpalette_requestor.a
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFBPalette/libidirectf=
bpalette_requestor.la
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFBPalette/libidirectf=
bpalette_requestor.so
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFBScreen/libidirectfb=
screen_dispatcher.a
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFBScreen/libidirectfb=
screen_dispatcher.la
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFBScreen/libidirectfb=
screen_dispatcher.so
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFBScreen/libidirectfb=
screen_requestor.a
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFBScreen/libidirectfb=
screen_requestor.la
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFBScreen/libidirectfb=
screen_requestor.so
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFBSurface/libidirectf=
bsurface_dispatcher.a
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFBSurface/libidirectf=
bsurface_dispatcher.la
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFBSurface/libidirectf=
bsurface_dispatcher.so
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFBSurface/libidirectf=
bsurface_requestor.a
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFBSurface/libidirectf=
bsurface_requestor.la
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFBSurface/libidirectf=
bsurface_requestor.so
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFBVideoProvider/libid=
irectfbvideoprovider_gif.a
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFBVideoProvider/libid=
irectfbvideoprovider_gif.la
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFBVideoProvider/libid=
irectfbvideoprovider_gif.so
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFBWindow/libidirectfb=
window_dispatcher.a
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFBWindow/libidirectfb=
window_dispatcher.la
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFBWindow/libidirectfb=
window_dispatcher.so
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFBWindow/libidirectfb=
window_requestor.a
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFBWindow/libidirectfb=
window_requestor.la
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFBWindow/libidirectfb=
window_requestor.so
lib/directfb-%%DIRECTFB_RELEASE%%-6/systems/libdirectfb_devmem.a
lib/directfb-%%DIRECTFB_RELEASE%%-6/systems/libdirectfb_devmem.la
lib/directfb-%%DIRECTFB_RELEASE%%-6/systems/libdirectfb_devmem.so
lib/directfb-%%DIRECTFB_RELEASE%%-6/systems/libdirectfb_dummy.a
lib/directfb-%%DIRECTFB_RELEASE%%-6/systems/libdirectfb_dummy.la
lib/directfb-%%DIRECTFB_RELEASE%%-6/systems/libdirectfb_dummy.so
lib/directfb-%%DIRECTFB_RELEASE%%-6/systems/libdirectfb_sdl.a
lib/directfb-%%DIRECTFB_RELEASE%%-6/systems/libdirectfb_sdl.la
lib/directfb-%%DIRECTFB_RELEASE%%-6/systems/libdirectfb_sdl.so
lib/directfb-%%DIRECTFB_RELEASE%%-6/systems/libdirectfb_x11.a
lib/directfb-%%DIRECTFB_RELEASE%%-6/systems/libdirectfb_x11.la
lib/directfb-%%DIRECTFB_RELEASE%%-6/systems/libdirectfb_x11.so
lib/directfb-%%DIRECTFB_RELEASE%%-6/wm/libdirectfbwm_default.a
lib/directfb-%%DIRECTFB_RELEASE%%-6/wm/libdirectfbwm_default.la
lib/directfb-%%DIRECTFB_RELEASE%%-6/wm/libdirectfbwm_default.so
lib/libdirect-%%DIRECTFB_RELEASE%%.so.6
lib/libdirectfb-%%DIRECTFB_RELEASE%%.so.6
lib/libfusion-%%DIRECTFB_RELEASE%%.so.6
lib/libvoodoo-%%DIRECTFB_RELEASE%%.so.6
man/man1/dfbg.1.gz
man/man1/directfb-csource.1.gz
man/man%%DIRECTFB_SHLIB%%/directfbrc.%%DIRECTFB_SHLIB%%.gz
@dirrmtry lib/directfb-%%DIRECTFB_RELEASE%%-6/wm
@dirrmtry lib/directfb-%%DIRECTFB_RELEASE%%-6/systems
@dirrmtry lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFBWindow
@dirrmtry
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFBVideoProvider
@dirrmtry
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFBSurface
@dirrmtry
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFBScreen
@dirrmtry
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFBPalette
@dirrmtry
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFBInputDevice
@dirrmtry
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFBImageProvider
@dirrmtry lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFBFont
@dirrmtry
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFBEventBuffer
@dirrmtry
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFBDisplayLayer
@dirrmtry
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFBDataBuffer
@dirrmtry lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/IDirectFB
@dirrmtry
lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces/ICoreResourceManager
@dirrmtry lib/directfb-%%DIRECTFB_RELEASE%%-6/interfaces @dirrmtry
lib/directfb-%%DIRECTFB_RELEASE%%-6/inputdrivers @dirrmtry
lib/directfb-%%DIRECTFB_RELEASE%%-6/gfxdrivers @dirrmtry
lib/directfb-%%DIRECTFB_RELEASE%%-6

--=20
pozdrawiam / with regards
Pawe=B3 P=EAkala
Comment 4 John Marino freebsd_committer 2014-07-11 15:19:31 UTC
add maintainer back to PR, but close it anyway.

There was no response to Pawel when he posted problems with the port.  Feel free to reopen if the patch is updated.
Comment 5 lightside 2016-06-08 13:40:58 UTC
Created attachment 171200 [details]
Proposed patch (since 416324 revision)

Patch to update devel/directfb port from 1.4.13 to 1.4.17 version.

- Use mirror for master site
- Unbreak fetch
- Fix configuration for X11 option
- Update pkg-plist file
- Remove obsolete patches
- Regenerate patches

Possible to create the update to latest 1.7.7 version, which is available on mirror site, but this may require more changes and tests. My intention is to unbreak fetch, which may stop deprecation of this port.

Please reopen this PR.
Comment 6 lightside 2016-06-08 13:41:26 UTC
Created attachment 171201 [details]
The poudriere testport log (FreeBSD 10.2 amd64, with default options)
Comment 7 lightside 2016-06-08 13:42:07 UTC
Created attachment 171202 [details]
The poudriere testport log (FreeBSD 10.2 amd64, with TEST=on, UNIQUE=on)
Comment 8 John Marino freebsd_committer 2016-06-08 17:29:45 UTC
re-open as requested
Comment 9 lightside 2016-06-08 22:16:47 UTC
Created attachment 171218 [details]
The poudriere testport log (FreeBSD 9.3 amd64)

(In reply to John Marino from comment #8)
> re-open as requested
Thanks.

Also builds fine on FreeBSD 9.3 amd64.
Comment 10 commit-hook freebsd_committer 2016-06-17 15:21:05 UTC
A commit references this bug:

Author: amdmi3
Date: Fri Jun 17 15:20:37 UTC 2016
New revision: 417015
URL: https://svnweb.freebsd.org/changeset/ports/417015

Log:
  - Update to 1.4.17
  - Unbreak
  - Switch to options helpers

  PR:		185885
  Submitted by:	hardy.schumacher@gmx.de
  Approved by:	maintainer timeout (anatoly.borodin@gmail.com, 2 years)

Changes:
  head/devel/directfb/Makefile
  head/devel/directfb/distinfo
  head/devel/directfb/files/extra-libpng15
  head/devel/directfb/files/patch-doc_Makefile.in
  head/devel/directfb/files/patch-gfxdrivers-davinci-davinci_c64x.c
  head/devel/directfb/files/patch-lib-direct-conf.c
  head/devel/directfb/files/patch-lib-direct-interface.c
  head/devel/directfb/files/patch-lib-direct-log.c
  head/devel/directfb/files/patch-lib-direct-stream.c
  head/devel/directfb/files/patch-lib-direct-trace.c
  head/devel/directfb/files/patch-lib-fusion-call.c
  head/devel/directfb/files/patch-lib-fusion-lock.c
  head/devel/directfb/files/patch-lib-fusion-shm-shm.c
  head/devel/directfb/files/patch-lib-fusion-shmalloc.c
  head/devel/directfb/files/patch-lib-voodoo-client.c
  head/devel/directfb/files/patch-lib-voodoo-manager.c
  head/devel/directfb/files/patch-src-gfx-generic-generic.c
  head/devel/directfb/files/patch-src__gfx__generic__generic_stretch_blit.c
  head/devel/directfb/files/patch-tests-dfbtest_window.c
  head/devel/directfb/files/patch-tests__voodoo__voodoo_test.h
  head/devel/directfb/files/patch-tools-dfbdump.c
  head/devel/directfb/files/patch-tools-dfbmaster.c
  head/devel/directfb/pkg-plist